%define upstream_name   DBIx-Class-Cursor-Cached
%define upstream_version 1.001002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Cursor class with built-in caching support
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/DBIx/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp::Clan) >= 6.0.0
BuildRequires: perl(DBD::SQLite) >= 1.250.0
BuildRequires: perl(DBIx::Class) >= 0.81.240
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%{?perl_default_filter}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Carp::Clan\\)$

%description
This package provides cursor class with built-in caching support.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.2-8.mga6
+ Revision: 1025455
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.1.2-7.mga6
+ Revision: 941253
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-6.mga5
+ Revision: 744865
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.1.2-5.mga5
+ Revision: 735547
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 684106
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.2-3.mga4
+ Revision: 510442
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.2-2.mga3
+ Revision: 365098
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 1.001002

* Sun Apr 03 2011 jquelin <jquelin> 1.1.1-1.mga1
+ Revision: 80043
- update to 1.001001

* Fri Feb 25 2011 jquelin <jquelin> 1.1.0-1.mga1
+ Revision: 59639
- update to 1.001000

* Tue Jan 25 2011 jquelin <jquelin> 1.0.1-1.mga1
+ Revision: 38579
- mageia rebuild
- imported package perl-DBIx-Class-Cursor-Cached


* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 389934
- import perl-DBIx-Class-Cursor-Cached


* Sat Jun 27 2009 cpan2dist 1.0.1-1mdv
- initial mdv release, generated with cpan2dist

